Orxonox: mingw_release/src/core/ToluaBindCore.cc File Reference

# ToluaBindCore.cc File Reference

`#include <stdlib.h>`
`#include <string.h>`
`#include <tolua/tolua++.h>`
`#include "ToluaBindCore.h"`
`#include "core/CommandExecutor.h"`
`#include "core/LuaBind.h"`

## Functions

int | tolua_Core_open (lua_State *tolua_S)
static int | tolua_Core_orxonox_CommandExecutor_execute00 (lua_State *tolua_S)
static int | tolua_Core_orxonox_CommandExecutor_getReturnValueString00 (lua_State *tolua_S)
static int | tolua_Core_orxonox_LuaBind_getInstance00 (lua_State *tolua_S)
static int | tolua_Core_orxonox_LuaBind_luaPrint00 (lua_State *tolua_S)
static int | tolua_Core_orxonox_LuaBind_replaceLuaTags00 (lua_State *tolua_S)
static void | tolua_reg_types (lua_State *tolua_S)

## Function Documentation

int tolua_Core_open | ( | lua_State * | tolua_S | ) |

References tolua_beginmodule(), tolua_cclass(), tolua_Core_orxonox_CommandExecutor_execute00(), tolua_Core_orxonox_CommandExecutor_getReturnValueString00(), tolua_Core_orxonox_LuaBind_getInstance00(), tolua_Core_orxonox_LuaBind_luaPrint00(), tolua_Core_orxonox_LuaBind_replaceLuaTags00(), tolua_endmodule(), tolua_function(), tolua_module(), tolua_open(), and tolua_reg_types().

Referenced by orxonox::GUIManager::initialise(), and orxonox::LuaBind::LuaBind().

static int tolua_Core_orxonox_CommandExecutor_execute00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::CommandExecutor::execute(), tolua_error(), tolua_isboolean(), tolua_iscppstring, tolua_isnoobj(), tolua_isusertable(), tolua_pushboolean(), tolua_pushcppstring, tolua_toboolean(), and tolua_tocppstring.

Referenced by tolua_Core_open().

static int tolua_Core_orxonox_CommandExecutor_getReturnValueString00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::CommandExecutor::getReturnValueString(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushcppstring.

Referenced by tolua_Core_open().

static int tolua_Core_orxonox_LuaBind_getInstance00 | ( | lua_State * | tolua_S | ) | `[static]`

References orxonox::LuaBind::getInstance(), tolua_error(), tolua_isnoobj(), tolua_isusertable(), and tolua_pushusertype().

Referenced by tolua_Core_open().

static int tolua_Core_orxonox_LuaBind_luaPrint00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_iscppstring, tolua_isnoobj(), tolua_isusertype(), tolua_pushcppstring, tolua_tocppstring, and tolua_tousertype().

Referenced by tolua_Core_open().

static int tolua_Core_orxonox_LuaBind_replaceLuaTags00 | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_error(), tolua_iscppstring, tolua_isnoobj(), tolua_isusertype(), tolua_pushcppstring, tolua_tocppstring, and tolua_tousertype().

Referenced by tolua_Core_open().

static void tolua_reg_types | ( | lua_State * | tolua_S | ) | `[static]`

References tolua_usertype().